import os, re
from django.contrib.auth.models import User
from django.contrib.sites.models import Site
from pod.video.models import Video

# cd /pod/src # GOTO pod src directoy (where is manage.py)
# python manage.py shell < /pod/REPRISE/esup-pod-api-sample/migration/list-videos-url-from-db.py > /pod/REPRISE/esup-pod-api-sample/migration/media_videos_list_db.txt

# ADAPT - Domain of users and videos
site_domain_keep="mediatheque-pedagogique-test.unicaen.fr"

# ADAPT - Videos base path
base_videos_path="/pod/media/videos"

keep_site= Site.objects.filter(domain=site_domain_keep)

videos_list=[]

users=User.objects.all()
for user in users:
  username=user.username
  userkey=user.owner.hashkey
  
  if(user.owner.sites.filter(domain=site_domain_keep).exists()) :
    user_videos_path=base_videos_path+"/"+userkey
    if os.path.isdir(user_videos_path):
      for f in os.listdir(user_videos_path):
        if os.path.isdir(user_videos_path+"/"+f):
          for fd in os.listdir(user_videos_path+"/"+f):
            video_url="https://%s/media/videos/%s/%s/%s" % (site_domain_keep,userkey,f,fd)
            if video_url not in videos_list:
              print(video_url)
              videos_list.append(video_url)
        else:
          video_url="https://%s/media/videos/%s/%s" % (site_domain_keep,userkey,f)
          if video_url not in videos_list:
            print(video_url)
            videos_list.append(video_url)

videos = Video.objects.filter(sites=keep_site)
for video in videos:
  video_id=video.id
  try:
    origin_video_path = re.sub(r'^/.*/media/videos/', '', str(video.video.file))
    video_url="https://%s/media/videos/%s" % (site_domain_keep,origin_video_path)
    if video_url not in videos_list:
      print(video_url)
      videos_list.append(video_url)
    
    render_video_path=os.path.dirname(str(video.video.file))+"/"+f'{video_id:04}'
    if os.path.isdir(render_video_path):
      file_base_path = re.sub(r'^/.*/media/videos/', '', render_video_path)    
      for f in os.listdir(render_video_path):
        video_url="https://%s/media/videos/%s/%s" % (site_domain_keep,file_base_path,f)
        if video_url not in videos_list:
          print(video_url)
          videos_list.append(video_url)
  except FileNotFoundError:
    pass
